Subject: Re: [bug-diffutils] bug#77840: Testing diffutils 3.12 on PPC Mac OS X 10.4.11, Tiger, produces so many failures

From: Peter Dyballa <[email-masked]>
Date: Thu, 19 Jun 2025 20:27:28 +0200

> Am 16.06.2025 um 22:07 schrieb Paul Eggert <[email-masked]>:
> 
> "git bisect" can help here.

I never learned to use this, so I'm still on the old way underway – and think that this might make the difference:

	diffutils-3.10/src/context.c:#include "c-ctype.h"

vs.

	diffutils-3.12/src/context.c:#include <c-ctype.h>

None of my Macs has this C header file, it comes with some software.

Tomorrow in the morning I'll have a few hours to test this… Defective diffutils 3.11 also has <c-ctype.h>.

--

Greetings

  Pete

We've got to pause and ask ourselves: How much clean air do we need?
				- Lee Iacocca